deResult-class {PCpheno} | R Documentation

## A class for representing the result of a densityEstimate test.

### Description

A class for representing the result of a `densityEstimate` test.

### Slots

`Size`:
  Object of class `"numeric"` representing the size of the cellular organizational unit tested
`Observed`:
  Return a `"numeric"` vector: the observed number of interactions between genes inducing a specific phenotype and each cellular organizational units
`Expected`:
  Return a matrix: the expected number of interactions between genes inducing a specific phenotype and each cellular organizational units

### Extends

Class `"testResult"`, directly.

### Methods

`plot`
  Graphical representation of the test result

### Author(s)

N. LeMeur

### See Also

`testResult`,`gtResult`,`densityEstimate`, `plot`

### Examples

    ## apply a densityEstimate test
    data( DudleyPhenoM)
    data(ScISIC)

    DudleyPhenoL <- apply(DudleyPhenoM,2,function(x) names(which(x==1)))
    pH3 <- DudleyPhenoL[["pH3"]]

    perm <- 20
    pH3Density <- densityEstimate(genename=pH3, interactome=ScISIC, perm=perm)

    ## access results
    pH3Density@Observed[1:5]

    ## use of the plot method
    plot(pH3Density)

[Package PCpheno version 1.6.0 Index]